A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Public Types | Static Public Member Functions
dtype_traits< unsigned long long > Struct Reference

`#include <traits.hpp>`

## Public Types
enum | { af_type = u64 , ctype = u64 }
typedef unsigned long long | base_type

## Static Public Member Functions
static const char * | getName ()

## Detailed Description

Definition at line 134 of file traits.hpp.

## Member Typedef Documentation

## ◆ base_type

typedef unsigned long long base_type

Definition at line 139 of file traits.hpp.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
af_type |
ctype |

Definition at line 135 of file traits.hpp.

135 {
136 af_type = u64 ,
137 ctype = u64
138 };
u64
@ u64
64-bit unsigned integral values
Definition defines.h:220
af::dtype_traits< unsigned long long >::af_type
@ af_type
Definition traits.hpp:136
af::dtype_traits< unsigned long long >::ctype
@ ctype
Definition traits.hpp:137

## Member Function Documentation

## ◆ getName()

static const char * getName | ( |  | ) |
| inline static

Definition at line 140 of file traits.hpp.

140{ return "ulong"; }

The documentation for this struct was generated from the following file:

- traits.hpp